HKDF< T > Class Template Reference

Extract-and-Expand Key Derivation Function (HKDF) More...

Inheritance diagram for HKDF< T >:

## Public Member Functions

size_t | MaxDerivedKeyLength () const
| maximum number of bytes which can be produced under a secuirty context
bool | Usesinfo () const
unsigned int | DeriveKey (byte *derived, size_t derivedLen, const byte *secret, size_t secretLen, const byte *salt, size_t saltLen, const byte *info, size_t infoLen) const
| derive a key from secret

## Static Public Member Functions

static const char * | StaticAlgorithmName ()

## Static Public Attributes

static const int | DIGESTSIZE = T::DIGESTSIZE
static const int | SALTSIZE = T::DIGESTSIZE

## Detailed Description

### template<class T>
class HKDF< T >

Extract-and-Expand Key Derivation Function (HKDF)

Template Parameters

  T | HashTransformation class

See also
  Cryptographic Extraction and Key Derivation: The HKDF Scheme and HMAC-based Extract-and-Expand Key Derivation Function (HKDF)

Since
  Crypto++ 5.6.3

Definition at line 36 of file hkdf.h.

The documentation for this class was generated from the following file:

- hkdf.h